Project Chrono: chrono::fea::ChContinuumThermal Class Reference

Public Member Functions | List of all members
chrono::fea::ChContinuumThermal Class Reference

## Description

Class for thermal fields, for FEA problems involving temperature, heat, etc.

`#include <ChContinuumThermal.h>`

Inheritance diagram for chrono::fea::ChContinuumThermal:
[legend]
Collaboration diagram for chrono::fea::ChContinuumThermal:
[legend]

## Public Member Functions
| ChContinuumThermal (const ChContinuumThermal &other)
void | SetThermalConductivity (double mk)
| Sets the k conductivity constant of the material, expressed in watts per meter kelvin [ W/(m K) ].
double | GetThermalConductivity () const
| Gets the k conductivity constant of the material, expressed in watts per meter kelvin (W/(m K)).
void | SetSpecificHeatCapacity (double mc)
| Sets the c mass-specific heat capacity of the material, expressed as Joule per kg Kelvin [ J / (kg K) ].
double | GetSpecificHeatCapacity () const
| Sets the c mass-specific heat capacity of the material, expressed as Joule per kg Kelvin [ J / (kg K) ].
ChMatrixDynamic | GetConductivityMatrix ()
| Get the k conductivity matrix.
virtual double | Get_DtMultiplier () override
| override base: (the dT/dt term has multiplier rho*c with rho=density, c=heat capacity)
Public Member Functions inherited from chrono::fea::ChContinuumPoisson3D
| ChContinuumPoisson3D (const ChContinuumPoisson3D &other)
ChMatrixDynamic & | GetConstitutiveMatrix ()
| Get the constitutive matrix [C] to compute the bilinear form in the weak formulation.
Public Member Functions inherited from chrono::fea::ChContinuumMaterial
| ChContinuumMaterial (double density=1000)
| ChContinuumMaterial (const ChContinuumMaterial &other)
void | SetDensity (double density)
| Set the density of the material, in kg/m^2.
double | GetDensity () const
| Get the density of the material, in kg/m^2.
virtual void | ArchiveOut (ChArchiveOut &archive_out)
virtual void | ArchiveIn (ChArchiveIn &archive_in)

## Additional Inherited Members
Protected Attributes inherited from chrono::fea::ChContinuumPoisson3D
ChMatrixDynamic | ConstitutiveMatrix
Protected Attributes inherited from chrono::fea::ChContinuumMaterial
double | m_density

## Member Function Documentation

## ◆ Get_DtMultiplier()

virtual double chrono::fea::ChContinuumThermal::Get_DtMultiplier | ( |  | ) |
| inlineoverridevirtual

override base: (the dT/dt term has multiplier rho*c with rho=density, c=heat capacity)

Reimplemented from chrono::fea::ChContinuumPoisson3D.

## ◆ SetThermalConductivity()

void chrono::fea::ChContinuumThermal::SetThermalConductivity | ( | double | mk | ) |
| inline

Sets the k conductivity constant of the material, expressed in watts per meter kelvin [ W/(m K) ].

Ex. (approx.): water = 0.6, aluminium = 200, steel = 50, plastics=0.9-0.2 Sets the conductivity matrix as isotropic (diagonal k)

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChContinuumThermal.h